alpm-pkginfo-create-v2(1)

NAME
alpm-pkginfo-create-v2 - Create a PKGINFO version 2 file

SYNOPSIS
alpm-pkginfo create v2 <--pkgname> <--pkgbase> <--pkgver> <--pkgdesc> <--url> <--builddate> <--packager> <--size> <--arch> [--license] [--replaces] [--group] [--conflict] [--provides] [--backup] [--depend] [--optdepend] [--makedepend] [--checkdepend] [--xdata] [-h|--help] [FILE]

DESCRIPTION
Create a PKGINFO version 2 file

OPTIONS

--pkgname <PKGNAME>
    The pkgname to use in the PKGINFO The pkgname must follow the alpm-package-name format (see `man 7 alpm-package-name`).
    May also be specified with the PKGINFO_PKGNAME environment variable.

--pkgbase <PKGBASE>
    The pkgbase to use in the PKGINFO The pkgbase must follow the alpm-package-name format (see `man 7 alpm-package-name`).
    May also be specified with the PKGINFO_PKGBASE environment variable.

--pkgver <PKGVER>
    The pkgver to use in the PKGINFO The pkgver value must follow the alpm-pkgver format (see `man 7 alpm-pkgver`).
    May also be specified with the PKGINFO_PKGVER environment variable.

--pkgdesc <PKGDESC>
    The package description to use in the PKGINFO The value must follow the format described in the PKGINFO format (see `man 5 PKGINFO`).
    May also be specified with the PKGINFO_PKGDESC environment variable.

--url <URL>
    Provide a url
    May also be specified with the PKGINFO_URL environment variable.

--builddate <BUILDDATE>
    Provide a builddate
    May also be specified with the PKGINFO_BUILDDATE environment variable.

--packager <PACKAGER>
    Provide a packager
    May also be specified with the PKGINFO_PACKAGER environment variable.

--size <SIZE>
    Provide a size
    May also be specified with the PKGINFO_SIZE environment variable.

--arch <ARCH>
    Provide a architecture
    May also be specified with the PKGINFO_ARCH environment variable.

--license <LICENSE>
    Provide one or more licenses
    May also be specified with the PKGINFO_LICENSE environment variable.

--replaces <REPLACES>
    Provide one or more replaces
    May also be specified with the PKGINFO_REPLACES environment variable.

--group <GROUP>
    Provide one or more groups
    May also be specified with the PKGINFO_GROUP environment variable.

--conflict <CONFLICT>
    Provide one or more conflicts
    May also be specified with the PKGINFO_CONFLICT environment variable.

--provides <PROVIDES>
    Provide one or more provides
    May also be specified with the PKGINFO_PROVIDES environment variable.

--backup <BACKUP>
    Provide one or more backups
    May also be specified with the PKGINFO_BACKUP environment variable.

--depend <DEPEND>
    Provide one or more depends
    May also be specified with the PKGINFO_DEPEND environment variable.

--optdepend <OPTDEPEND>
    Provide one or more optdepend
    May also be specified with the PKGINFO_OPTDEPEND environment variable.

--makedepend <MAKEDEPEND>
    Provide one or more makedepend
    May also be specified with the PKGINFO_MAKEDEPEND environment variable.

--checkdepend <CHECKDEPEND>
    Provide one or more checkdepend
    May also be specified with the PKGINFO_CHECKDEPEND environment variable.

--xdata <XDATA>
    Provide one or more Xdata
    May also be specified with the PKGINFO_XDATA environment variable.

-h, --help
    Print help (see a summary with '-h')

[FILE] [default: .PKGINFO]
    An optional custom file to write to
    May also be specified with the PKGINFO_OUTPUT_FILE environment variable.